summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorAaron Bauman <bman@gentoo.org>2016-11-21 07:51:59 +0900
committerAaron Bauman <bman@gentoo.org>2016-11-21 07:51:59 +0900
commitd61dd49a6bb35b17cb818953b91785261af61d02 (patch)
tree19517847032ba79ab5ec9b14e7b416fc823a5b89 /dev-db
parentLinux patch 4.9-rc6 (diff)
downloadgentoo-d61dd49a6bb35b17cb818953b91785261af61d02.tar.gz
gentoo-d61dd49a6bb35b17cb818953b91785261af61d02.tar.bz2
gentoo-d61dd49a6bb35b17cb818953b91785261af61d02.zip
dev-db/postgis: drop old which depended on vulnerable dev-libs/json-c wrt security bug #507218
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/postgis/Manifest1
-rw-r--r--dev-db/postgis/postgis-2.1.1.ebuild297
2 files changed, 0 insertions, 298 deletions
diff --git a/dev-db/postgis/Manifest b/dev-db/postgis/Manifest
index 0c52640ae4a..684e22c6113 100644
--- a/dev-db/postgis/Manifest
+++ b/dev-db/postgis/Manifest
@@ -1,4 +1,3 @@
-DIST postgis-2.1.1.tar.gz 6717940 SHA256 f55acf056362e7e78766bec7a403e02a3b6b087a6d18b4222647b6a932d5c945 SHA512 f85c4d1db32802b3acbda3f4c391ca961bf1301c699a00682265c7a984fbc74ee7b9fbfc5580fc04dff0491921eb6dbe4d8bd73dded216794a4b7f90c3ed650f WHIRLPOOL 807d0ce975b72315a72d4c2ecd192c612b00530a7e542b18429fed0c69cf6cb95285554c34be58e3d2a2c513f436289449dfbe82c7430fba87e901a4bea49c2d
DIST postgis-2.1.8.tar.gz 6811272 SHA256 7c2380b895fe7bda34c2e70deab3fcf4c12b13ab40d7501cdaa6fa36f1a6c662 SHA512 e8aeb739a1ecf95b224a3908d2af3aa38933b56c63713af30d14243653745436165b418a3368601a699b744f6fe61ce645c980319eb159395d68166a3815c5f4 WHIRLPOOL b6675fecbb922379bd50c351abe1553fdbda53543fce56451c688e25a3fa2e9d0813d8f3a349b623b85fcb4016fc4710f6746a224ba7673ec0d2106c7635d3d1
DIST postgis-2.2.0.tar.gz 10164837 SHA256 66f0f8480d535959b8bb9abb5ee5d602d1001413ca770df120baf3de627f9e91 SHA512 e9954d5c4aa381536ae87c32bb37b166a7ede0f9b9fc96cfb300dc2350b9351f40870429f64e755c3371be692a1956f5f8ea21733b64aab490f42d2232ae5d8f WHIRLPOOL 639c6b278dd6e5c3a11ed1d8de179ee72a4e6e9c54ba1e74e585e9233167a3c2cdca0704c47966cf757db22221ebbc8970a68375894a6179970ab6c0e6c637a2
DIST postgis-2.2.1.tar.gz 10069889 SHA256 0fe500b0250203aac656bfa8f42f8458b63f33258404844e066e0e535988fa09 SHA512 e580fc6556e1d8e2ba36d62795650852d303ce4c935c8e538d14f0bf0f00c3c27dcb034c42dfafa0c8995eb0f28f71119c8ada4ceecaa8ca9897d0653552bb2f WHIRLPOOL a91f5e44de49b1b41d90188a4f7842c23d41b8c589416014273f4a1e655e0f3013176f7341bac0ea7004c3f7af86634981f3c0695d3e848e45798eeb5f7bfdeb
diff --git a/dev-db/postgis/postgis-2.1.1.ebuild b/dev-db/postgis/postgis-2.1.1.ebuild
deleted file mode 100644
index 4126a6daf2c..00000000000
--- a/dev-db/postgis/postgis-2.1.1.ebuild
+++ /dev/null
@@ -1,297 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-POSTGRES_COMPAT=( 9.{1,2,3,4} )
-
-inherit autotools eutils versionator
-
-MY_PV=$(replace_version_separator 3 '')
-MY_P="${PN}-${MY_PV}"
-S="${WORKDIR}/${MY_P}"
-
-DESCRIPTION="Geographic Objects for PostgreSQL"
-HOMEPAGE="http://postgis.net"
-SRC_URI="http://download.osgeo.org/postgis/source/${MY_P}.tar.gz"
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
-IUSE="doc gtk test"
-
-RDEPEND="
- || (
- dev-db/postgresql:9.4[server]
- dev-db/postgresql:9.3[server]
- dev-db/postgresql:9.2[server]
- dev-db/postgresql:9.1[server]
- )
- <dev-libs/json-c-0.11
- dev-libs/libxml2:2
- >=sci-libs/geos-3.3.8
- >=sci-libs/proj-4.6.0
- >=sci-libs/gdal-1.10.0:=
- gtk? ( x11-libs/gtk+:2 )
-"
-
-DEPEND="${RDEPEND}
- doc? (
- app-text/docbook-xsl-stylesheets
- app-text/docbook-xml-dtd:4.5
- dev-libs/libxslt
- || (
- media-gfx/imagemagick[png]
- media-gfx/graphicsmagick[imagemagick,png]
- )
- )
- virtual/pkgconfig
- test? ( dev-util/cunit )
-"
-
-PGIS="$(get_version_component_range 1-2)"
-
-REQUIRED_USE="test? ( doc )"
-
-# Needs a running psql instance, doesn't work out of the box
-RESTRICT="test"
-
-# These modules are built using the same *FLAGS that were used to build
-# dev-db/postgresql. The right thing to do is to ignore the current
-# *FLAGS settings.
-QA_FLAGS_IGNORED="usr/lib(64)?/(rt)?postgis-${PGIS}\.so"
-
-# Because developers have been fooled into thinking recursive make is a
-# good thing.
-MAKEOPTS="-j1"
-
-postgres_check_slot() {
- if ! declare -p POSTGRES_COMPAT &>/dev/null; then
- die 'POSTGRES_COMPAT not declared.'
- fi
-
-# Don't die because we can't run postgresql-config during pretend.
-[[ "$EBUILD_PHASE" = "pretend" \
- && -z "$(which postgresql-config 2> /dev/null)" ]] && return 0
-
- local res=$(echo ${POSTGRES_COMPAT[@]} \
- | grep -c $(postgresql-config show 2> /dev/null) 2> /dev/null)
-
- if [[ "$res" -eq "0" ]] ; then
- eerror "PostgreSQL slot must be set to one of: "
- eerror " ${POSTGRES_COMPAT[@]}"
- return 1
- fi
-
- return 0
-}
-
-pkg_pretend() {
- postgres_check_slot || die
-}
-
-pkg_setup() {
- postgres_check_slot || die
- export PGSLOT="$(postgresql-config show)"
-}
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-2.1-ldflags.patch" \
- "${FILESDIR}/${PN}-2.0-arflags.patch" \
- "${FILESDIR}/${PN}-2.1-pkgconfig-json.patch"
-
- local AT_M4DIR="macros"
- eautoreconf
-}
-
-src_configure() {
- local myargs=""
- use gtk && myargs+=" --with-gui"
- econf \
- --with-pgconfig="/usr/lib/postgresql-${PGSLOT}/bin/pg_config" \
- ${myargs}
-}
-
-src_compile() {
- # Occasionally, builds fail because of out of order compilation.
- # Otherwise, it'd be fine.
- emake
- emake -C topology
-
- if use doc ; then
- emake comments
- emake cheatsheets
- emake -C doc html
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- use doc && emake DESTDIR="${D}" comments-install
- emake -C topology DESTDIR="${D}" install
- dobin ./utils/postgis_restore.pl
-
- dodoc CREDITS TODO loader/README.* doc/*txt
-
- use doc && dohtml -r doc/html/*
-
- docinto topology
- dodoc topology/{TODO,README}
-
- insinto /etc
- doins "${FILESDIR}/postgis_dbs"
-}
-
-pkg_postinst() {
- postgresql-config update
-
- elog "To finish installing or updating PostGIS edit:"
- elog " ${EROOT%/}/etc/postgis_dbs"
- elog
- elog "Then, run:"
- elog " emerge --config =${CATEGORY}/${PF}"
-}
-
-pkg_config(){
- source "${EROOT%/}/etc/conf.d/postgresql-${PGSLOT}"
- source "${EROOT%/}/etc/postgis_dbs"
- local postgis_path="${EROOT%/}/usr/share/postgresql-${PGSLOT}/contrib/postgis-${PGIS}"
-
- if [[ -n ${configured} ]] ; then
- einfon "Password for PostgreSQL user '${pguser}': "
- read -s PGPASSWORD
- export PGPASSWORD
- echo
- else
- eerror "You must edit:"
- eerror " ${EROOT%/}/etc/postgis_dbs"
- eerror "Before running 'emerge --config =${CATEGORY}/${PF}'"
- eerror
- die "Edit postgis_dbs"
- fi
-
- # The server we work with must be the same slot we built against.
- local server_version
- server_version=$(psql -U ${pguser} -d postgres -p ${PGPORT} \
- -Aqwtc 'SELECT version()' 2> /dev/null)
- if [[ $? = 0 ]] ; then
- server_version=$(echo ${server_version} | cut -d " " -f 2 | \
- cut -d "." -f -2 | tr -d .)
- if [[ $server_version != ${PGSLOT//.} ]] ; then
- unset PGPASSWORD
- eerror "Server version must be ${PGSLOT}.x"
- die "Server version isn't ${PGSLOT}.x"
- fi
- else
- unset PGPASSWORD
- eerror "Is the server running?"
- die "Couldn't connect to server."
- fi
-
- local retval
- safe_exit() {
- unset PGPASSWORD
- sed -e 's/\(configured\)/#\1/' -i "${EROOT%/}/etc/postgis_dbs"
- eend $retval
- eerror "All actions could not be performed."
- eerror "Read above to see what failed."
- eerror "Once you fix the issue, you'll need to edit:"
- eerror " ${EROOT%/}/etc/postgis_dbs"
- eerror "As some things may have succeeded."
- eerror
- die "All actions could not be performed"
- }
-
- local db
- for db in ${databases[@]} ; do
- ebegin "Performing CREATE LANGUAGE on ${db}"
- createlang -U ${pguser} -p ${PGPORT} plpgsql ${db}
- retval=$?
- # In this case, only error code 1 is fatal
- [[ $retval == 1 ]] && safe_exit || eend 0
-
- ebegin "Enabling PostGIS on ${db}"
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} \
- -f "${postgis_path}/postgis.sql"
- retval=$?
- [[ $retval == 0 ]] && eend 0 || safe_exit
- done
-
- for db in ${templates[@]} ; do
- ebegin "Creating template database '${db}'"
- createdb -p ${PGPORT} -U ${pguser} -O ${pguser} -T ${from_template} \
- ${db} "PostGIS Template"
- retval=$?
- [[ $retval != 0 ]] && safe_exit
-
- psql -q -U ${pguser} -p ${PGPORT} -c \
- "UPDATE pg_database \
- SET datistemplate = TRUE, datallowconn = TRUE \
- WHERE datname = '${db}'"
- retval=$?
- [[ $retval != 0 ]] && safe_exit
-
- createlang -U ${pguser} -p ${PGPORT} plpgsql ${db}
- retval=$?
- # In this case, only error code 1 is fatal
- [[ $retval == 1 ]] && safe_exit
-
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} \
- -f "${postgis_path}/postgis.sql"
- retval=$?
- [[ $retval == 0 ]] && eend 0 || safe_exit
- done
-
- for db in ${epsg_databases[@]} ; do
- ebegin "Adding EPSG to ${db}"
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} \
- -f "${postgis_path}/spatial_ref_sys.sql"
- retval=$?
- [[ $retval == 0 ]] && eend 0 || safe_exit
- done
-
- for db in ${comment_databases[@]} ; do
- ebegin "Adding comments on ${db}"
- local comment_file
- for comment_file in "${postgis_path}"/*_comments.sql ; do
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} -f "${comment_file}"
- retval=$?
- [[ $retval == 0 ]] && continue || safe_exit
- done
- eend 0
- done
-
- for db in ${upgrade_from_1_3[@]} ; do
- ebegin "Upgrading from PostGIS 1.3 to ${PGIS} on ${db}"
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} \
- -f "${postgis_path}/postgis_upgrade_13_to_${PGIS//.}.sql"
- retval=$?
- [[ $retval == 0 ]] && eend 0 || safe_exit
- done
-
- for db in ${upgrade_from_1_4[@]} ; do
- ebegin "Upgrading from PostGIS 1.4 to ${PGIS} on ${db}"
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} \
- -f "${postgis_path}/postgis_upgrade_14_to_${PGIS//.}.sql"
- retval=$?
- [[ $retval == 0 ]] && eend 0 || safe_exit
- done
-
- for db in ${upgrade_from_1_5[@]} ; do
- ebegin "Minor upgrade for PostGIS ${PGIS} on ${db}"
- psql -q -U ${pguser} -p ${PGPORT} -d ${db} \
- -f "${postgis_path}/postgis_upgrade_${PGIS//.}_minor.sql"
- retval=$?
- [[ $retval == 0 ]] && eend 0 || safe_exit
- done
-
- # Clean up and make it so the user has to edit postgis_dbs again that
- # way this script won't step on any toes due to user error.
- unset PGPASSWORD
- sed -e 's/\(configured\)/#\1/' -i "${EROOT%/}/etc/postgis_dbs"
- einfo "PostgreSQL ${PGSLOT} is now PostGIS enabled."
- einfo
- einfo "To enable other databases, change the default slot:"
- einfo " postgresql-config set <slot>"
- einfo "Then, emerge this package again:"
- einfo " emerge -av =${CATEGORY}/${PF}"
-}